edu.ucsb.nceas.metacat.dataone.convert

## Class LogV2toV1Converter.LogEntryV2toV1Converter

- java.lang.Object
- - edu.ucsb.nceas.metacat.dataone.convert.LogV2toV1Converter.LogEntryV2toV1Converter

- Enclosing class:
    LogV2toV1Converter

      public static class LogV2toV1Converter.LogEntryV2toV1Converter
      extends java.lang.Object

  A class to convert a v2 LogEntry object to a v1 LogEntry object
  Author:
    tao

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogEntryV2toV1Converter()` Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.dataone.service.types.v1.LogEntry` | `convert(org.dataone.service.types.v2.LogEntry logEntryV2)` Convert a v2 LogEntry object to a v1 LogEntry object

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogEntryV2toV1Converter

          public LogEntryV2toV1Converter()

      Default constructor

  - ### Method Detail

    - #### convert

          public org.dataone.service.types.v1.LogEntry convert(org.dataone.service.types.v2.LogEntry logEntryV2)
                                                        throws java.lang.InstantiationException,
                                                               java.lang.IllegalAccessException,
                                                               java.lang.reflect.InvocationTargetException,
                                                               org.dataone.exceptions.MarshallingException,
                                                               java.io.IOException

      Convert a v2 LogEntry object to a v1 LogEntry object
      Parameters:
        `logV2` - - the v2 Log object which needs to be converted
      Returns:
        a v1 Log object. If the logV2 is null, null will be returned.
      Throws:
        `java.io.IOException`
        `JiBXException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.IllegalAccessException`
        `java.lang.InstantiationException`
        `org.dataone.exceptions.MarshallingException`

Copyright © 2023 Regents of the University of California. All Rights Reserved.